#!/bin/bash
#GPL, mimooh at pld-linux.org

eval `dml<< EOF
<meta title="$(nls "About hard disk")"><br>
<button id=parts caption="$(nls "Show partitions")"> na dysku <input witdth=20 id=which_disk caption=/dev/hda><br>
<button id=df caption="$(nls "Show disk space usage")"><br>
<button id=du caption="$(nls "Show folder size")"> <input width=20 id=du_dir caption=/home/users/ fs=d label=$(nls "Select")><br><br>
$(nls "Find file") <input id=szukany> <button id=find caption=$(nls "Find")> <button id=updatedb caption=$(nls "Update")><br>
<br><br>
\`dml_buttons Anuluj Wyjcie\`
EOF`

dml_cancel_check ${DATA_DIR}/SYSINFO/sysinfo_menu.sh
dml_check_the_rest

if [ "X$parts" = "Xyes" ]; then
	clear
	fdisk -l $which_disk
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/harddisk.sh
fi

if [ "X$find" = "Xyes" ]; then
	clear
	install_if_missing slocate
	locate $szukany | less
	exec ${DATA_DIR}/SYSINFO/harddisk.sh
fi
if [ "X$updatedb" = "Xyes" ]; then
	clear
	install_if_missing slocate
	echo "$(nls "Update files database (for searching)...")"
	updatedb 2>/dev/null 
	exec ${DATA_DIR}/SYSINFO/harddisk.sh
fi
if [ "X$df" = "Xyes" ]; then
	clear
	mount -a 2>/dev/null
	df -h
	umount -a 2>/dev/null
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/harddisk.sh
fi
if [ "X$du" = "Xyes" ]; then
	clear
	echo "$(nls "Please wait...")"
	du -chs $du_dir
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/harddisk.sh
fi
