#!/bin/bash
#GPL, mimooh at pld-linux.org

eval `dml<< EOF
<meta title="$(nls "About system")"><br>
<button id=devices caption="$(nls "About devices")"><br>
<button id=harddisk caption="$(nls "About hard disks")"><br>
<button id=processes caption="$(nls "About processes")"><br>
<button id=net caption="$(nls "About network")"><br>
<button id=packets caption="$(nls "About packages")"><br>
<br><br><br>
\`dml_buttons Powrt Pomoc Wyjcie\`
EOF`

dml_cancel_check ${EXEC_PREFIX}/pldconf
dml_help_check ${DATA_DIR}/POMOC/README_sysinfo.txt
dml_check_the_rest

if [ $devices = "yes" ]; then
	exec ${DATA_DIR}/SYSINFO/devices.sh
fi
if [ $harddisk = "yes" ]; then
	exec ${DATA_DIR}/SYSINFO/harddisk.sh
fi

if [ $processes = "yes" ]; then
	exec ${DATA_DIR}/SYSINFO/processes.sh
fi
if [ $net = "yes" ]; then
	exec ${DATA_DIR}/SYSINFO/net.sh
fi
if [ $packets = "yes" ]; then
	exec ${DATA_DIR}/SYSINFO/packets.sh
fi
