#!/bin/bash 
# $Revision: 1.40 $, $Date: 2004/03/06 12:19:26 $
# GPL, mimooh at pld-linux.org

EXEC_PREFIX="/usr/bin"
DATA_DIR="/usr/share/pldconf"
CONF_DIR="/etc/pldconf"
CONF_FILE="/etc/pldconf/ustawienia"

rm -rf ${CONF_DIR} ${DATA_DIR} 2>/dev/null
mkdir -p ${CONF_DIR} ${DATA_DIR}
cp -r . ${DATA_DIR}
rm ${DATA_DIR}/install.sh 
mv ${DATA_DIR}/pldconf  ${EXEC_PREFIX}
cp ${DATA_DIR}/X/gfx/pldconf.png /usr/share/pixmaps/
cp ${DATA_DIR}/X/gfx/pldconf.desktop /usr/share/applications/
chmod o+r /usr/share/pixmaps/pldconf.png
chmod o+r /usr/share/applications/pldconf.desktop

cp -r locale/* /usr/share/locale/

cat > ${CONF_FILE} << EOF
export PLDCONF_PAGER=less
export ERRORS_HANDLE=ALWAYS_ASK
export VERBOSE_MODE=1
export TIMEOUT_MODE=0
export SLEEP_TIME=2
export X_MOUSE_PROTOCOL=auto
EOF
chmod -R 755 ${DATA_DIR} ${CONF_DIR} ${EXEC_PREFIX}/pldconf

[ ! -f /bin/gettext ] || [ ! -f /usr/bin/dml ] || [ ! -f /usr/bin/perl ] || [ ! -f /bin/bash ] && { echo 'missing dml|perl|bash|gettext'; exit; }
echo; echo "pldconf installed succesfully"; echo

